package com.ruoyi.bst.project.domain.dto;

import java.time.LocalDate;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ProjectMaintenanceDTO {

    @ApiModelProperty("ID")
    @NotNull(message = "ID不能为空")
    private Long id;

    @ApiModelProperty("维护到期日期")
    @NotNull(message = "维护到期日期不能为空")
    private LocalDate maintenanceEndDate;

    @ApiModelProperty("维护费用")
    private String operationAmount;
}
