package com.ruoyi.bst.projectMember.domain;

import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 项目成员对象 bst_project_member
 *
 * @author ruoyi
 * @date 2025-03-06
 */
@Data
public class ProjectMember extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "项目ID")
    @ApiModelProperty("项目ID")
    private Long projectId;

    @Excel(name = "用户ID")
    @ApiModelProperty("用户ID")
    private Long userId;

    @Excel(name = "角色")
    @ApiModelProperty("角色")
    private String role;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "加入时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("加入时间")
    private LocalDateTime joinTime;

}
