package com.ruoyi.bst.task.domain.dto;

import java.time.LocalDateTime;

import javax.validation.constraints.NotNull;

import org.springframework.format.annotation.DateTimeFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TaskStartDTO {
    
    @ApiModelProperty("任务ID")
    @NotNull(message = "任务ID不能为空")
    private Long id;

    @ApiModelProperty("预计完成时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime expectFinishTime;

}

