package com.ruoyi.bst.task.domain.dto;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TaskSubmitDTO {
    
    @ApiModelProperty("任务ID")
    @NotNull(message = "任务ID不能为空")
    private Long id;

    @ApiModelProperty("提交附件")
    private String submitAttaches;

    @ApiModelProperty("提交备注")
    @Size(max = 200, message = "提交备注长度不能超过200个字符")
    private String submitRemark;
    
}
