package com.ruoyi.bst.taskMember.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.bst.taskMember.domain.TaskMemberQuery;
import com.ruoyi.bst.taskMember.mapper.TaskMemberMapper;
import com.ruoyi.bst.taskMember.service.TaskMemberValidator;

@Service
public class TaskMemberValidatorImpl implements TaskMemberValidator{
 
    @Autowired
    private TaskMemberMapper taskMemberMapper;

    @Override
    public boolean isMember(Long taskId, Long userId) {
        if (taskId == null || userId == null) {
            return false;
        }
        
        TaskMemberQuery query = new TaskMemberQuery();
        query.setTaskId(taskId);
        query.setUserId(userId);
        return taskMemberMapper.selectCount(query) > 0;
    }

}
