package com.ruoyi.bst.taskSubmit.service.impl;

import org.springframework.stereotype.Service;

import com.ruoyi.bst.task.domain.dto.TaskSubmitDTO;
import com.ruoyi.bst.taskSubmit.domain.TaskSubmit;
import com.ruoyi.bst.taskSubmit.domain.enums.TaskSubmitStatus;
import com.ruoyi.bst.taskSubmit.service.TaskSubmitConverter;
import com.ruoyi.common.utils.SecurityUtils;
    
@Service
public class TaskSubmitConverterImpl implements TaskSubmitConverter {

    @Override
    public TaskSubmit toPo(TaskSubmitDTO dto) {
        if (dto == null) {
            return null;
        }
        TaskSubmit submit = new TaskSubmit();
        submit.setTaskId(dto.getId());
        submit.setUserId(SecurityUtils.getUserId());
        submit.setAttaches(dto.getSubmitAttaches());
        submit.setRemark(dto.getSubmitRemark());
        submit.setStatus(TaskSubmitStatus.PASS.getCode());
        return submit;
    }
    
}
