package com.ruoyi.bst.customer.domain.dto;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

import com.ruoyi.bst.customer.domain.Customer;
import com.ruoyi.bst.customerFollow.domain.CustomerFollow;
import com.ruoyi.common.core.validate.ValidGroup;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class CustomerAddDTO extends Customer {

    @ApiModelProperty("跟进记录")
    @Valid
    @NotNull(message = "跟进记录不能为空", groups = {ValidGroup.Create.class})
    private CustomerFollow follow;
}
