package com.ruoyi.bst.notice.domain;

import java.util.List;

import com.ruoyi.system.dept.domain.vo.SysDeptNameVO;
import com.ruoyi.system.user.domain.vo.SysUserNameVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class NoticeVO extends Notice{

    @ApiModelProperty("创建用户名称")
    private String userName;
    
    @ApiModelProperty("接收用户列表")
    private List<SysUserNameVO> receiveUserList;

    @ApiModelProperty("接收部门列表")
    private List<SysDeptNameVO> receiveDeptList;
}
