package com.ruoyi.bst.project.domain;

import java.util.List;

import com.ruoyi.bst.projectMember.domain.ProjectMemberVO;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wjh
 * 2025/1/22
 */
@Data
public class ProjectVO extends Project{

    @ApiModelProperty("创建人名称")
    private String createName;

    @ApiModelProperty("客户名称")
    private String customerName;

    @ApiModelProperty("任务总数量（需组装）")
    private Integer taskCount;

    @ApiModelProperty("任务通过数量（需组装）")
    private Integer taskPassCount;

    @ApiModelProperty("任务进行中数量（需组装）")
    private Integer taskProcessCount;

    @ApiModelProperty("项目成员列表")
    private List<ProjectMemberVO> memberList;

    @ApiModelProperty("排序分数")
    private Integer sortScore;
    
}
