package com.ruoyi.system.user.domain;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wjh
 * 2024/10/22
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SysUserQuery extends SysUserVO {

    @ApiModelProperty("用户ID列表")
    private List<Long> userIds;

    @ApiModelProperty("用户名称列表")
    private List<String> userNames;

    @ApiModelProperty("用户昵称列表")
    private List<String> nickNames;

    @ApiModelProperty("精准手机号")
    private String eqPhonenumber;

    @ApiModelProperty("精准微信openId")
    private String eqWxOpenId;

    @ApiModelProperty("精准工号")
    private String eqUserNo;

    @ApiModelProperty("排除用户ID")
    private Long excludeUserId;

    @ApiModelProperty("排除用户ID列表")
    private List<Long> excludeUserIds;

    @ApiModelProperty("部门ID列表")
    private List<Long> deptIds;

    @ApiModelProperty("项目ID")
    private Long projectId;
}
